package com.gic.haoban.manage.api.dto.chat;

import java.io.Serializable;

/**
 * Created by wangzubo on 2023/3/20.
 */
public class ChatContentDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 标题
     */
    private String title;

    /**
     * 封面url
     */
    private String img;

    /**
     * 视频url
     */
    private String content;

    /**
     * 关联id 企微素材id或内容素材id
     * 兼容原有不是驼峰
     */
    private String relation_id;

    /**
     * 素材类型 1文本, 2图片, 4视频
     */
    private Integer type;

    /**
     * 内容素材url是否已经重新上传
     */
    private Integer urlChangeFlag;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getRelation_id() {
        return relation_id;
    }

    public void setRelation_id(String relation_id) {
        this.relation_id = relation_id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getUrlChangeFlag() {
        return urlChangeFlag;
    }

    public void setUrlChangeFlag(Integer urlChangeFlag) {
        this.urlChangeFlag = urlChangeFlag;
    }

}
